%define major 20
%define libname %mklibname etpan %{major}
%define develname %mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.8
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.etpan.org/libetpan.html
Source0:	https://github.com/dinhviethoa/libetpan/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:		libetpan-0.58-drop-ldflags.patch
Patch1:		libetpan-1.6-link.patch
Patch2:		libetpan-1.7.2-debug-info.patch
BuildRequires: lib64curl-devel
BuildRequires: lib64db5.3-devel
BuildRequires: lib64expat1-devel
BuildRequires: lib64gnutls-devel
BuildRequires: lib64sasl2-devel

%description
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}
Obsoletes:	%{_lib}etpan11-devel < 0.54

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%apply_patches

mv README.md README

%build
autoreconf -vfi
%configure2_5x \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make_build

%install
rm -rf %buildroot
%make_install

#workaround for *.h detections
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan

%multiarch_binaries %{buildroot}%{_bindir}/libetpan-config

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING COPYRIGHT
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog NEWS
%doc doc/DOCUMENTATION
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%{_includedir}/*
%{_libdir}/%{name}.so


%changelog
* Fri Apr 06 2018 bb2 <bb2> - 1.8-1pclos2018
- new version
